API

Reddit API

Reddit serves about 121 million daily active users across forums, threads, text posts, links, images, and comments, making it important for community insight, reputation tracking, product feedback, and niche discovery.

API Reference Version: 1.0.0 14 Endpoints Authentication
Reddit

Base URL

https://api.pressmonitor.ca

Authentication

All requests use Bearer token authentication. Add the Authorization header to every call.

Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /comments-by-username

Comments By Username

Code Examples

curl -X GET "https://api.pressmonitor.ca/comments-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /get-cursor

Code Examples

curl -X GET "https://api.pressmonitor.ca/get-cursor" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /new-subreddits

New Subreddits

Code Examples

curl -X GET "https://api.pressmonitor.ca/new-subreddits" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /post-details

Post Details

Parameters

Name Type Location Required Description
post_url string query Yes

Code Examples

curl -X GET "https://api.pressmonitor.ca/post-details?post_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /posts-by-subreddit

Posts By Subreddit

Code Examples

curl -X GET "https://api.pressmonitor.ca/posts-by-subreddit" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /posts-by-username

Posts By Username

Code Examples

curl -X GET "https://api.pressmonitor.ca/posts-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /search-posts

Search Posts

Parameters

Name Type Location Required Description
query string query Yes Search query

Code Examples

curl -X GET "https://api.pressmonitor.ca/search-posts?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /search-subreddits

Search Subreddits

Parameters

Name Type Location Required Description
query string query Yes Search query

Code Examples

curl -X GET "https://api.pressmonitor.ca/search-subreddits?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /top-comments-by-username

Top Comments By Username

Code Examples

curl -X GET "https://api.pressmonitor.ca/top-comments-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success
GET /top-posts-by-username

Top Posts By Username

Code Examples

curl -X GET "https://api.pressmonitor.ca/top-posts-by-username" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Responses

200 Success